VREDescriptionBean (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.shared

## Class VREDescriptionBean

- java.lang.Object
- - org.gcube.portlets.admin.vredefinition.shared.VREDescriptionBean

- All Implemented Interfaces:
    Serializable

      public class VREDescriptionBean
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDescriptionBean()`
    `VREDescriptionBean(String name, String description, String designer, String manager, Date startTime, Date endTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getDesigner()`
    `Date` | `getEndTime()`
    `String` | `getManager()`
    `String` | `getName()`
    `Date` | `getStartTime()`
    `void` | `setDescription(String description)`
    `void` | `setDesigner(String designer)`
    `void` | `setEndTime(Date endTime)`
    `void` | `setManager(String manager)`
    `void` | `setName(String name)`
    `void` | `setStartTime(Date startTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VREDescriptionBean

          public VREDescriptionBean()

    - #### VREDescriptionBean

          public VREDescriptionBean(String name,
                            String description,
                            String designer,
                            String manager,
                            Date startTime,
                            Date endTime)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getDesigner

          public String getDesigner()

    - #### setDesigner

          public void setDesigner(String designer)

    - #### getManager

          public String getManager()

    - #### setManager

          public void setManager(String manager)

    - #### getStartTime

          public Date getStartTime()

    - #### setStartTime

          public void setStartTime(Date startTime)

    - #### getEndTime

          public Date getEndTime()

    - #### setEndTime

          public void setEndTime(Date endTime)

Copyright © 2016. All Rights Reserved.